Subject: Re: Compiling cygnus under linux?
From: [email-masked] (Laszlo Vecsey)

2 Apr 1998 01:02:03 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Mike McLean <[email-masked]>
Cc: "[email-masked]" <[email-masked]>

Hi, did you get a response to this yet? I'm curious about this too.

The DJGPP faq (misc section, cross compiler) may be a start in the right
direction. I followed the instructions there to build msdos .exe's on
linux (using djgpp, www.delorie.com), I imagine gnu-win32 would use a
similar setup.

I'll probably try building an egcs cross compiler for i386
(egcs.cygnus.com), and just pop in the gnu-win32 libraries for linking.. 
or am I better off working with the gnu-win32 sources instead of egcs? 

I've had only good experiences with egcs 1.0.2, compared to stock gcc 2.8.x
which tends to produce bad code unless you use the right compile time options.

- lv

On Thu, 26 Mar 1998, Mike McLean wrote:

> I saw an option to build the MesaGL library on linux with the cygnus
> compiler to generate win 32 programs.  Is it possible to build the
> GNU-win32 compiler under linux.  I want to build windows 95/nt binaries,
> but don't want to have to use windows to do it.  The reason is I am
> learning how to use the MesaGL to eventually write some kind of hover
> racing game, and I want to be able to code it on linux.
> 
> Any help is appreciated :)
> 
> Mike.
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".